Should have no issues with older systems. IE6 is a thorn in the side of most web developers (many sites won't even allow IE6 to connect in an effort to kill it off) so it could have issues with IE6, plenty of alternatives to IE6 though.